Overview
POST
/auth/login/mfa/webauthn/optionsauthWebAuthn 2nd-factor: assertion options bound to the pending challenge
Create a record in options.
Request body
application/json · optional
- tokenstring
MFA pending token
Example
{
"token": "string"
}Responses
200
options + next pending token
- optionsobject
PublicKeyCredentialRequestOptionsJSON
- tokenstring
Example
{
"options": {},
"token": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}422
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/auth/login/mfa/webauthn/options" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"token": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/auth/login/mfa/webauthn/options", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"token\": \"string\"\n}",
});
const data = await res.json();